#!/bin/bash

SHOULD_EXIT_EARLY=false

function var_not_set {
    echo "Environment variable $1 is not set"
    SHOULD_EXIT_EARLY=true
}

########
##
## Variables
##

if [ -z $HOSTNAME ]; then
    HOSTNAME="$(hostname -f)"
fi

########
##
## Test if we should return early
##

if [ $SHOULD_EXIT_EARLY = true ]; then
    exit 1
fi


########
##
## Preparation
##

########
##
## Postfix Configuration
##

postconf -e "myhostname = $HOSTNAME"
if [ -n DOVECOT_SERVICE_NAME ]; then
  postconf -e "smtpd_sasl_path = inet:${DOVECOT_SERVICE_NAME}:12345"
  postconf -e "virtual_transport = lmtp:inet:${DOVECOT_SERVICE_NAME}:24"
fi
cp /srv/virtual/* /srv/tmp
find /srv/tmp -type f -exec postmap lmdb://{} \;

########
##
## Kube DNS Support
##

mkdir -p /var/spool/postfix/etc/
cp /etc/resolv.conf /var/spool/postfix/etc/

########
##
## Start
##

# exec postfix start
exec supervisord -c /etc/supervisord.conf
